Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 8289 - Need hooks for context-sensitive help
Need hooks for context-sensitive help
Status: RESOLVED FIXED
Product: usersguide
Classification: Unclassified
Component: Code
3.x
All All
: P2 (vote)
: TBD
Assigned To: issues@usersguide
issues@usersguide
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-08 17:48 UTC by Jan Benway
Modified: 2010-02-08 03:36 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Benway 2000-11-08 17:48:46 UTC
Users expect context sensitive help to describe contents of windows and dialogs.
Currently we only have task-based help. Context sensitive help needs to answer
the question: "What do I put in this entry field?" or "How do I set this
control?"

Before such help can be provided, "hooks" (e.g. Help buttons) for existing and
pending dialogs, wizards and other components need to be made available.
Comment 1 Jesse Glick 2000-11-08 20:51:59 UTC
Note: Help buttons normally appear on dialogs/wizards and apply to the current
panel. Any Swing component in the GUI (and also many indirectly displayed
objects, e.g. Explorer nodes, etc.) can have a HelpCtx, so F1 works on them. In
the future there will be a toolbar button for a help cursor to make this more
visible. Many things actually already have help IDs but they are not mapped to
anything.
Comment 2 Marian Mirilovic 2004-09-01 13:07:11 UTC
I think it isn't sunstainable, we can't provide help for everything ;(
reassigne to usersguide
Comment 3 Irina Filippova 2010-02-08 03:36:47 UTC
Closing the issue.
Now almost all dialogs have "Help" buttons that are mapped to specific help topics. If a particular topic is missing, a separate issue must be filed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo